Bug 1120304 - Rubygem-Staypuft: Using the host's DNS suffix as the default zone name in rhel-osp-installer might fail deployments.
Summary: Rubygem-Staypuft: Using the host's DNS suffix as the default zone name in rhe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Deploying_OpenStack_Enterprise_Environments
Version: 5.0 (RHEL 6)
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
: Installer
Assignee: Andrew Dahms
QA Contact: Summer Long
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 17:00 UTC by Alexander Chuzhoy
Modified: 2015-02-13 05:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: DNS lookup conflict Consequence: Using the same domain for the Foreman network as the domain of the machine Foreman is running on will make the installer unable to find installation media, if the media is also located on the same domain. Workaround (if any): Set the domain of the Foreman network to be different from the domain the machine is running on. Result: Downloading installation fixes work
Clone Of:
Environment:
Last Closed: 2015-02-13 05:37:48 UTC


Attachments (Terms of Use)

Description Alexander Chuzhoy 2014-07-16 17:00:59 UTC
Rubygem-Staypuft: Using the host's DNS suffix as the default zone name in rhel-osp-installer might fail deployments.

Environment: poodle 2014-07-15.4
rhel-osp-installer-0.1.1-1.el6ost.noarch
openstack-foreman-installer-2.0.15-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-puppet-modules-2014.1-19.1.el6ost.noarch

Steps to reproduce:
1. Start installing the rhel-osp-installer and observe the first menu.

Result:
The domain being suggested is taken from the host's DNS suffix. So if a person installs rhel-osp-installer on a node called: "staypuft.tlv.redhat.com" -> the domain will be tlv.redhat.com.
Here's a scenario where this causes the deployments to fail:
Install a host on a bare metall that is located in tlv.redhat.com DNS zone. The Domain name suggested by default in the menu is "tlv.redhat.com" and the DNS zone that's consequently created and maintained on the staypuft machine will also be for "tlv.redhat.com".  Should the discovered machines query the DNS server on the staypuft for any external hostname in any zone under "tlv.redhat.com" - they will not find it. So if the installation media is located on any host under *.tlv.redhat.com - the deployment will fail at the very beginning.


Expected result:
The default domain name shouldn't collide with the existing one. 
Provide an arbitrary DNS name (openstack.example.com) by default?

Comment 4 Mike Burns 2014-08-05 17:45:00 UTC
In the livecd environment, we default to example.com, though people can change that.

In non-livecd environments, we should document that people should avoid pre-existing dns subnets.

Comment 6 Andrew Dahms 2014-08-25 00:03:53 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html-single/Installer_and_Foreman_Guide/index.html#Environment_Requirements1

What Changed
------------------------------
The following topic was revised to add an 'important' box outlining the requirement that the domain to which the Red Hat Enterprise Linux OpenStack Platform Installer belongs must not conflict with any existing domains:

Environment Requirements [40930-698051]

Updated revision history: [39274-692496]

NVR
------------------------------
Red_Hat_Enterprise_Linux_OpenStack_Platform-Installer_and_Foreman_Guide-5-en-US-5.0.0-10.1

Moving to ON_QA.

Comment 7 Summer Long 2014-08-25 01:31:58 UTC
Verified. Editing comments made for 1122178.


Note You need to log in before you can comment on or make changes to this bug.